Browser Support

Every release of the Wildfire app is extensively tested on the latest version of Google Chrome, and this is our recommended browser.

However, all of the following standards-compliant browsers are supported:

Problems reported in the current or previous versions of any of the above browsers will be immediately investigated and resolved.

 

NOTE: We do not support any versions of Microsoft Internet Explorer, due to its lack of standards compliance. We are also unable to support the default Android Browser that shipped with early releases of Android. Recent Android devices ship instead with Google Chrome, which is supported as described above on both desktop and mobile platforms.